package sun.print;

import java.awt.image.ImageObserver;
import java.awt.Image;
import java.text.AttributedCharacterIterator;
import java.awt.Polygon;
import java.awt.Shape;
import java.awt.Rectangle;
import java.awt.FontMetrics;
import java.awt.Font;
import java.awt.Color;
import java.awt.Graphics;

public class ProxyGraphics extends Graphics
{
    private Graphics g;
    
    public ProxyGraphics(Graphics g) {
        this.g = g;
    }
    
    Graphics getGraphics() {
        return this.g;
    }
    
    @Override
    public Graphics create() {
        return new ProxyGraphics(this.g.create());
    }
    
    @Override
    public Graphics create(int x, int y, int width, int height) {
        return new ProxyGraphics(this.g.create(x, y, width, height));
    }
    
    @Override
    public void translate(int n, int n2) {
        this.g.translate(n, n2);
    }
    
    @Override
    public Color getColor() {
        return this.g.getColor();
    }
    
    @Override
    public void setColor(Color color) {
        this.g.setColor(color);
    }
    
    @Override
    public void setPaintMode() {
        this.g.setPaintMode();
    }
    
    @Override
    public void setXORMode(Color xorMode) {
        this.g.setXORMode(xorMode);
    }
    
    @Override
    public Font getFont() {
        return this.g.getFont();
    }
    
    @Override
    public void setFont(Font font) {
        this.g.setFont(font);
    }
    
    @Override
    public FontMetrics getFontMetrics() {
        return this.g.getFontMetrics();
    }
    
    @Override
    public FontMetrics getFontMetrics(Font font) {
        return this.g.getFontMetrics(font);
    }
    
    @Override
    public Rectangle getClipBounds() {
        return this.g.getClipBounds();
    }
    
    @Override
    public void clipRect(int n, int n2, int n3, int n4) {
        this.g.clipRect(n, n2, n3, n4);
    }
    
    @Override
    public void setClip(int n, int n2, int n3, int n4) {
        this.g.setClip(n, n2, n3, n4);
    }
    
    @Override
    public Shape getClip() {
        return this.g.getClip();
    }
    
    @Override
    public void setClip(Shape clip) {
        this.g.setClip(clip);
    }
    
    @Override
    public void copyArea(int n, int n2, int n3, int n4, int n5, int n6) {
        this.g.copyArea(n, n2, n3, n4, n5, n6);
    }
    
    @Override
    public void drawLine(int n, int n2, int n3, int n4) {
        this.g.drawLine(n, n2, n3, n4);
    }
    
    @Override
    public void fillRect(int n, int n2, int n3, int n4) {
        this.g.fillRect(n, n2, n3, n4);
    }
    
    @Override
    public void drawRect(int x, int y, int width, int height) {
        this.g.drawRect(x, y, width, height);
    }
    
    @Override
    public void clearRect(int n, int n2, int n3, int n4) {
        this.g.clearRect(n, n2, n3, n4);
    }
    
    @Override
    public void drawRoundRect(int n, int n2, int n3, int n4, int n5, int n6) {
        this.g.drawRoundRect(n, n2, n3, n4, n5, n6);
    }
    
    @Override
    public void fillRoundRect(int n, int n2, int n3, int n4, int n5, int n6) {
        this.g.fillRoundRect(n, n2, n3, n4, n5, n6);
    }
    
    @Override
    public void draw3DRect(int x, int y, int width, int height, boolean raised) {
        this.g.draw3DRect(x, y, width, height, raised);
    }
    
    @Override
    public void fill3DRect(int x, int y, int width, int height, boolean raised) {
        this.g.fill3DRect(x, y, width, height, raised);
    }
    
    @Override
    public void drawOval(int n, int n2, int n3, int n4) {
        this.g.drawOval(n, n2, n3, n4);
    }
    
    @Override
    public void fillOval(int n, int n2, int n3, int n4) {
        this.g.fillOval(n, n2, n3, n4);
    }
    
    @Override
    public void drawArc(int n, int n2, int n3, int n4, int n5, int n6) {
        this.g.drawArc(n, n2, n3, n4, n5, n6);
    }
    
    @Override
    public void fillArc(int n, int n2, int n3, int n4, int n5, int n6) {
        this.g.fillArc(n, n2, n3, n4, n5, n6);
    }
    
    @Override
    public void drawPolyline(int[] array, int[] array2, int n) {
        this.g.drawPolyline(array, array2, n);
    }
    
    @Override
    public void drawPolygon(int[] array, int[] array2, int n) {
        this.g.drawPolygon(array, array2, n);
    }
    
    @Override
    public void drawPolygon(Polygon p) {
        this.g.drawPolygon(p);
    }
    
    @Override
    public void fillPolygon(int[] array, int[] array2, int n) {
        this.g.fillPolygon(array, array2, n);
    }
    
    @Override
    public void fillPolygon(Polygon p) {
        this.g.fillPolygon(p);
    }
    
    @Override
    public void drawString(String s, int n, int n2) {
        this.g.drawString(s, n, n2);
    }
    
    @Override
    public void drawString(AttributedCharacterIterator attributedCharacterIterator, int n, int n2) {
        this.g.drawString(attributedCharacterIterator, n, n2);
    }
    
    @Override
    public void drawChars(char[] data, int offset, int length, int x, int y) {
        this.g.drawChars(data, offset, length, x, y);
    }
    
    @Override
    public void drawBytes(byte[] data, int offset, int length, int x, int y) {
        this.g.drawBytes(data, offset, length, x, y);
    }
    
    @Override
    public boolean drawImage(Image image, int n, int n2, ImageObserver imageObserver) {
        return this.g.drawImage(image, n, n2, imageObserver);
    }
    
    @Override
    public boolean drawImage(Image image, int n, int n2, int n3, int n4, ImageObserver imageObserver) {
        return this.g.drawImage(image, n, n2, n3, n4, imageObserver);
    }
    
    @Override
    public boolean drawImage(Image image, int n, int n2, Color color, ImageObserver imageObserver) {
        return this.g.drawImage(image, n, n2, color, imageObserver);
    }
    
    @Override
    public boolean drawImage(Image image, int n, int n2, int n3, int n4, Color color, ImageObserver imageObserver) {
        return this.g.drawImage(image, n, n2, n3, n4, color, imageObserver);
    }
    
    @Override
    public boolean drawImage(Image image, int n, int n2, int n3, int n4, int n5, int n6, int n7, int n8, ImageObserver imageObserver) {
        return this.g.drawImage(image, n, n2, n3, n4, n5, n6, n7, n8, imageObserver);
    }
    
    @Override
    public boolean drawImage(Image image, int n, int n2, int n3, int n4, int n5, int n6, int n7, int n8, Color color, ImageObserver imageObserver) {
        return this.g.drawImage(image, n, n2, n3, n4, n5, n6, n7, n8, color, imageObserver);
    }
    
    @Override
    public void dispose() {
        this.g.dispose();
    }
    
    @Override
    public void finalize() {
    }
    
    @Override
    public String toString() {
        return this.getClass().getName() + "[font=" + this.getFont() + ",color=" + this.getColor() + "]";
    }
    
    @Deprecated
    @Override
    public Rectangle getClipRect() {
        return this.g.getClipRect();
    }
    
    @Override
    public boolean hitClip(int x, int y, int width, int height) {
        return this.g.hitClip(x, y, width, height);
    }
    
    @Override
    public Rectangle getClipBounds(Rectangle r) {
        return this.g.getClipBounds(r);
    }
}
